<!DOCTYPE html>
<html lang="nl">
<head>
  <meta charset="utf-8">
  <title>Nummerreeks App | Zoeken Help Pagina</title>
  <link rel="icon" type="image/x-icon" href="/favicon.ico">
  <link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/static/css/bcd.css">
  <link rel="stylesheet" href="/static/css/legend.css">
  <script src="/static/js/jquery-3.5.1.js"></script>
  <script src="/static/js/bootstrap/bootstrap.min.js"></script>
  <script src="/static/js/bcd.util.js"></script>
  <script src="/static/js/bcd.shared.js"></script>
  <script src="/static/js/bcd.dialog.js"></script>
  <script>
    const BASE_PATH = "~%basePath%";
  </script>
  <style>
    table {
      margin-top: 10px;
    }
    thead, th {
      border: none;
    }
    th {
      font-size: 90%;
    }
    td {
      vertical-align: top;
      padding-bottom: 10px;
    }
    .td-searchterm {
      font-size: 90%;
      font-weight: bold;
      padding-right: 10px;
    }
    .td-result {
      font-size: 88%;
      font-family: "Noto Mono", "Courier New", "mono";
      padding-right: 20px;
      white-space: nowrap;
    }
    .td-reason {
      font-style: italic;
    }
  </style>
</head>
<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>Zoeken</h1>

~%%include:logo:/html/include/Logo.html%

<div class="center-screen">
  <div class="small-input-container" style="margin-left:40px;margin-right:60px;">

    <h2>Algemeen</h2>
    <p>
      Voor alle lijst-weergave pagina's geldt dat je kunt zoeken m.b.v. het zoekveld rechts
      boven in de pagina. Voer een zoekterm in en klik op de Zoeken-knop of druk op de ENTER
      toets. Per pagina zal de zoekterm gezocht worden in een voorgedefinieerd aantal velden.
      De zoek-functionaliteit voor nummerreeksen biedt meer geavanceerde mogelijkheden en zal
      apart behandeld worden. In alle gevallen geldt echter dat het zoek-algoritme niet
      hoofdlettergevoelig is. Het maakt dus niet uit of de zoekterm "Marie", "marie" of "MARIE"
      is.
    </p>
    <p>
      Hier volgt, per pagina, een overzicht van de velden waarop gezocht wordt.
    </p>
    <h3>Storage Locations</h3>
    <p>Er wordt gezocht op TOPDesk nummer, Aanvrager, Bestand en Prefixes.</p>
    <h3>Admin &#10230; Aanvragers</h3>
    <p>Er wordt gezocht op de Naam.</p>
    <h3>Admin &#10230; Gebruikers</h3>
    <p>Er wordt gezocht op de Naam.</p>
    <h3>Admin &#10230; Instituten</h3>
    <p>Er wordt gezocht op Naam en Code.</p>
    <h3>Admin &#10230; Collecties</h3>
    <p>Er wordt gezocht op Naam en Code. Hierbij geldt dat er reeds een instituut geselecteerd moet
      zijn en dat alleen <i>binnen</i> de collecties van dat instituut wordt gezocht.</p>
    <h3>Admin &#10230; Systemen</h3>
    <p>Er wordt gezocht op Naam.</p>

    <h2>Nummerreeksen zoeken</h2>
    <p>
      Voor nummerreeksen kun je kiezen uit <b><i>Registratienummer Search</i></b> en <b><i>Tekst
      Search</i></b>.
      De zoekterm bepaalt welk type search wordt uitgevoerd. Er zijn geen aparte zoekvelden.
    </p>
    <table>
      <thead>
      <tr>
        <th>Zoekterm</th>
        <th>Type search</th>
        <th>Zoekvelden</th>
      </tr>
      </thead>
      <tbody>
      <tr>
        <td style="padding-right: 8px;">Met punt</td>
        <td style="padding-right: 8px;"><i>Registratienummer Search</i></td>
        <td style="padding-right: 8px;">
          instituut, collectie, eerste nr, laatste nr en de nummers tussen eerste en laatste nr
        </td>
      </tr>
      <tr>
        <td style="padding-right: 8px;">Zonder punt</td>
        <td style="padding-right: 8px;"><i>Tekst Search</i></td>
        <td style="padding-right: 8px;">
          TOPdesknummer, aanvrager, afdeling, systeem, opmerkingen
        </td>
      </tr>
      <tr>
        <td style="padding-right: 8px;">Tussen aanhalingstekens (met of zonder punt)
        </td>
        <td style="padding-right: 8px;"><b>Altijd</b> <i>Tekst Search</i></td>
        <td style="padding-right: 8px;">
          TOPdesknummer, aanvrager, afdeling, systeem, opmerkingen
        </td>
      </tr>
      </tbody>
    </table>

    <h3>Nummerregistratie Search</h3>
    <p>
      De manier waarop Nummerregistratie Search werkt kan het best aan de hand van
      een aantal voorbeelden uitgelegd worden. Bij alle voorbeelden geldt:
      realiseer je dat de zoekterm een punt bevat.
    </p>
    <table>
      <thead>
      <tr>
        <th>Zoekterm</th>
        <th>Resultaat</th>
        <th>Uitleg</th>
      </tr>
      </thead>
      <tbody>
      <tr>
        <td class="td-searchterm">AVES.</td>
        <td class="td-result">
          RMNH.AVES.P.6001 t/m RMNH.AVES.P.6423<br>
          RMNH.AVES.P.6424 t/m RMNH.AVES.P.7423<br>
          ZMA.AVES.65001 t/m ZMA.AVES.65050
        </td>
        <td class="td-reason">
          Deze nummerreeksen hebben AVES als collectie-code
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">AVE.</td>
        <td class="td-result">
          RMNH.AVES.P.6001 t/m RMNH.AVES.P.6423<br>
          RMNH.AVES.P.6424 t/m RMNH.AVES.P.7423<br>
          ZMA.AVES.65001 t/m ZMA.AVES.65050
        </td>
        <td class="td-reason">
          Deze nummerreeksen hebben een collectie-code die "AVE" bevat
          (ook al is er helemaal geen collectie die letterlijk AVE heet!)
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">AVES.P</td>
        <td class="td-result">
          RMNH.AVES.P.6001 t/m RMNH.AVES.P.6423<br>
          RMNH.AVES.P.6424 t/m RMNH.AVES.P.7423<br>
        </td>
        <td class="td-reason">
          Deze nummerreeksen hebben AVES.P als collectie-code
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">AVES.6001</td>
        <td class="td-result">
          RMNH.AVES.P.6001 t/m RMNH.AVES.P.6423
        </td>
        <td class="td-reason">
          Deze nummerreeks heeft een collectie-code die "AVES" bevat en
          een eerste nummer dat 6001 is (ook al is de eigenlijke
          collectie-code AVES.P)
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">P.6300</td>
        <td class="td-result">
          RMNH.AVES.P.6001 t/m RMNH.AVES.P.6423
        </td>
        <td class="td-reason">
          Deze nummerreeks heeft een collectie-code die de letter "P" bevat en
          die ook het nummer 6300 bevat
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">ZMA.6500</td>
        <td class="td-result">
          ZMA.CRUS.P.1001 t/m ZMA.CRUS.P.11000<br>
          ZMA.P.1001 t/m ZMA.P.8000
        </td>
        <td class="td-reason">
          Deze nummerreeksen hebben ZMA als instituut-code bevat en bevatten
          het nummer 6500
        </td>
      </tr>
      <tr>
        <td class="td-searchterm">.8400</td>
        <td class="td-result">
          RGM.JMS.1 t/m RGM.JMS.72013<br>
          ZMA.INS.MIG.1 t/m ZMA.INS.MIG.25000<br>
          RMNH.POR.P.7217 t/m RMNH.POR.P.11000<br>
          RMNH.VER.1 t/m RMNH.VER.187000
        </td>
        <td class="td-reason">
          Deze nummerreeksen bevatten alle het nummer 8400
        </td>
      </tr>
      </tbody>
    </table>
    <h2>Nummerregistratie Search Onderdrukken</h2>
    <p>
      Stel je wilt alle nummerreeksen van aanvrager J. v.d. Poel zien. Je kunt
      die naam niet als zoekterm gebruiken, want dat triggert een
      <i>Nummerregistratie Search</i> (vanwege de punten). Om af te dwingen dat
      de applicatie toch een <i>Tekst Search</i> uitvoert, zet de zoekterm
      tussen enkele of dubbele aanhalingstekens: 'v.d. Poel' of "v.d. Poel".
    </p>

    <h2>Gecorrigeerde data zoeken</h2>

    <h3>Overlappende nummerreeksen (513 records)</h3>
    <p>
      Bij de datamigratie van de oude naar de huidige applicatie zijn nummerreeksen
      aangepast die overlappen met 1 (of meerdere) andere nummerreeksen, omdat in de
      huidige applicatie overlap niet mogelijk is. Op basis van datum heeft de ene
      de originele prefix behouden, de ander heeft de prefix OVERLAP gekregen.
    </p>
    <p>
      Hieronder staat uitgelegd hoe je deze reeksen kan vinden. De overlappende nummerreeksen
      (zowel het origineel als de aangepaste) kan je vinden door via tekst search te zoeken op:
    </p>
    <ul>
      <li><b>&gt;&gt;&gt;</b> (drie groter-dan tekens achter elkaar)<br>
        Dit teken is toegevoegd aan het opmerkingenveld.
      </li>
      <li><b>TOPdesknummer</b><br>
        Het TOPdesknummer kan zowel in het TOPdesknummerveld als in het opmerkingenveld staan.
      </li>
    </ul>
    <p>
      Daarnaast zijn er nog zoekmethoden die verschillen voor de originele en
      de aangepaste reeks. Bij de originele reeks staan het eerste nummer,
      laatste nummer, collectiecode en instituut in de daarvoor bestemde velden.
      Je kunt deze reeks vinden door gebruik te maken van <i>Registratienummer Search</i>.
      <i>Registratienummer Search</i> zoekt namelijk in deze velden.
      <i>Registratienummer Search</i> doe je door een punt aan de zoekterm toe te voegen.
      Dus bijvoorbeeld: .144133 of .RGM.
    </p>
    <p>
      Bij de aangepaste reeks (prefix is OVERLAP) staan het eerste nummer, laatste
      nummer, collectiecode en instituut niet meer in de daarvoor bestemde velden.
      De prefix is vervangen door OVERLAP. Alle originele waarden staan genoteerd in
      het opmerkingenveld. Je kunt deze reeks vinden door gebruik te maken van
      <i>Tekst Search</i>. <i>Tekst Search</i> zoekt namelijk in het opmerkingenveld.
      <i>Tekst Search</i> wordt automatisch toegepast als er geen punt in de
      zoekterm staat. Je kunt deze reeks ook vinden door te zoeken op “OVERLAP.” via
      <i>Registratienummer Search</i> (zonder aanhalingstekens, incl. de punt)
    </p>
    <h3>Herstelde prefixen (755 records)</h3>
    <p>
      Bij de datamigratie van de oude naar deze applicatie zijn nummerreeksen aangepast
      met eerder foutief geïmporteerde prefixen. Het gaat om:
    </p>
    <ul>
      <li>RMNH.VER &#10230; RGM</li>
      <li>RGM.N/A &#10230; RGM</li>
      <li>RGM.THD &#10230; RGMS</li>
      <li>RMNH.CRUS.P &#10230; RMNH.INS.UT</li>
      <li>RGM.UVA.L &#10230; RMNH.ACA.UT.</li>
    </ul>
    <p>
      Deze nummerreeksen zijn te vinden door te zoeken op "+++" omdat er een notitie hierover in de
      opmerkingen gezet is.
    </p>
  </div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%

<script>
  $(function () {

    const h1 = $("h1");
    recenter(h1);
    $(window).resize(function () {
      recenter(h1);
    });

    $("#simpleSearchTextInput").css("display", "none");
    $("#simpleSearchButton").css("display", "none");

  });
</script>

</body>
</html>